Subject: RE: [Sip] Additional uses of INFO

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 14 Jun 2006 17:26:39 +0100

Unfortunately you never pushed this through to an RFC, so the WG never formed a consensus opinion one way or the other.

What we have is therefore people referring to the INFO RFC and thinking they can use it for everything.

What you appear to be saying from your viewpoint is to update something to say either

-	No usage outside existing ISUP usage; or
-	Additional usages are RFC required, so that those usages can have expert review for the harm to the SIP environment.

Is this right or is there another view?

regards

Keith

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: 14 June 2006 17:03
> To: Drage, Keith (Keith)
> Cc: [email-masked]
> Subject: Re: [Sip] Additional uses of INFO
> 
> 
> Well, my opinion on INFO is that its an exceptionally poor vehicle for
> doing extensions. A long while back, I wrote an I-D called "INFO
> considered harmful" which summarized my thinking on this:
> 
> http://www.jdrosen.net/papers/draft-rosenberg-sip-info-harmful-00.txt
> 
> The conclusion of the document is that we should limit INFO 
> to its only
> defined usage - for ISUP transport - and I still think this 
> conclusion 
> makes sense.
> 
> Thanks,
> Jonathan R.
> 
> Drage, Keith (Keith) wrote:
> 
> > Within the SIP protocol we have done a lot of tidying up as to how
> > extensions are made to the SIP protocol.
> > 
> > In particular RFC 3968 and RFC 3969 set up various 
> registries for the
> > session initiation protocol, and RFC 3427 defines rules for
> > definition of headers and event packages.
> > 
> > Both within IETF, and in discussions outside IETF, we still see
> > proposals to use the INFO method (RFC 2976) for various 
> purposes, and
> > we have no really clear statements on whether INFO method can be
> > applied to new applications, or not, and if so, who should document
> > those new applications. This is probably complicated by the 
> fact that
> > the INFO RFC
> > 
> > 
> http://www.ietf.org/internet-drafts/draft-rosenberg-sip-hitchh
> ikers-guide-00.txt
> > currently lists RFC 2976 under the PSTN interworking specifications,
> > and that is currently the only defined IETF usage, and also 
> indicates
> > under the general infrastructure section:
> > 
> > RFC 2976: The INFO Method (S) RFC 2976 [39] was defined as an 
> > extension to RFC 2543.  It defines a method, INFO, used to transport
> > mid-dialog information that has no impact on SIP itself. Its driving
> > application was the transport of PSTN related information when using
> > SIP between a pair of gateways.  Though originally conceived for
> > broader use, it only found standardized usage with SIP-T [33].  It
> > has been used to support numerous proprietary and non-interoperable
> > extensions due to its poorly defined scope.
> > 
> > My question is whether it is appropriate to provide some means of
> > clarifying other usages of the INFO method, and who should document
> > them. Should that occur in:
> > 
> > i)	An update or revision to RFC 2976 ii)	An update to 
> RFC 3427 iii)
> > Anywhere else
> > 
> > regards
> > 
> > Keith
> > 
> > Keith Drage [email-masked] tel: +44 1793 776249
> > 
> > _______________________________________________ Sip mailing list
> > https://www1.ietf.org/mailman/listinfo/sip This list is for NEW
> > development of the core SIP Protocol Use
> > [email-masked] for questions on current sip Use
> > [email-masked] for new developments on the application of sip
> > 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
> Cisco Fellow                                   Parsippany, NJ 
> 07054-2711
> Cisco Systems
> [email-masked]                              FAX:   (973) 952-5050
> http://www.jdrosen.net                         PHONE: (973) 952-5000
> http://www.cisco.com
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 14 Jun 2006 16:37:06 -0400

I'm saying that there are no usages outside of the ISUP usage. If you 
want to define some kind of way to transport mid-dialog data between A 
and B then define a method for it, with the semantics appropriate based 
on what you are trying to do.

-Jonathan R.

Drage, Keith (Keith) wrote:

> Unfortunately you never pushed this through to an RFC, so the WG
> never formed a consensus opinion one way or the other.
> 
> -	No usage outside existing ISUP usage; or -	Additional usages are
> RFC required, so that those usages can have expert review for the
> harm to the SIP environment.
> 
>> -----Original Message----- From: Jonathan Rosenberg
>> [mailto:[email-masked]] Sent: 14 June 2006 17:03 To: Drage,
>> Keith (Keith) Cc: [email-masked] Subject: Re: [Sip] Additional uses
>> of INFO
>> 
>> 
>> Well, my opinion on INFO is that its an exceptionally poor vehicle
>> for doing extensions. A long while back, I wrote an I-D called
>> "INFO considered harmful" which summarized my thinking on this:
>> 
>> The conclusion of the document is that we should limit INFO to its
>> only defined usage - for ISUP transport - and I still think this 
>> conclusion makes sense.
>> 
>> Thanks, Jonathan R.
>> 
>>> Within the SIP protocol we have done a lot of tidying up as to
>>> how extensions are made to the SIP protocol.
>>> 
>>> applied to new applications, or not, and if so, who should
>>> document those new applications. This is probably complicated by
>>> the
>> 
>> fact that
>> 
>>> the INFO RFC
>>> 
>>> 
>> 
>>> currently lists RFC 2976 under the PSTN interworking
>>> specifications, and that is currently the only defined IETF
>>> usage, and also
>> 
>> indicates
>> 
>>> extension to RFC 2543.  It defines a method, INFO, used to
>>> transport mid-dialog information that has no impact on SIP
>>> itself. Its driving application was the transport of PSTN related
>>> information when using SIP between a pair of gateways.  Though
>>> originally conceived for broader use, it only found standardized
>>> usage with SIP-T [33].  It has been used to support numerous
>>> proprietary and non-interoperable extensions due to its poorly
>>> defined scope.
>>> 
>>>  clarifying other usages of the INFO method, and who should
>>> document them. Should that occur in:
>>> 
>> -- Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
>> 07054-2711 Cisco Systems [email-masked]
>> FAX:   (973) 952-5050 http://www.jdrosen.net
>> PHONE: (973) 952-5000 http://www.cisco.com
>> 
> 
> 

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com